import pandas as pd
from sklearn.linear_model import LinearRegression


# データを読み込み
train_df = pd.DataFrame(
    {
        "name": [
            "susumuis",
            "nao_y",
            "altnight",
            "kameko",
            "furi",
        ],
        "score_a": [98, 130, 120, 84, 105],
        "score_b": [200, 40, 300, 260, 95],
        "score_c": [10, 15, 13, 8, 11],
    }
)

# 線形回帰
lr = LinearRegression()
X = train_df[["score_a", "score_b"]]
y = train_df["score_c"]
lr.fit(X, y)


# 適用
test_df = pd.DataFrame(
    {
        "name": ["haru", "shimizukawa", "takanory"],
        "score_a": [130, 108, 95],
        "score_b": [68, 200, 210],
    }
)
result = lr.predict(test_df[["score_a", "score_b"]])

# 結果出力
result_df = pd.DataFrame(
    {"name": test_df["name"], "score_c": result}
)
print(result_df)
